﻿@model EmailViewModel

@{
    ViewData["Title"] = "ListNewEmails";
}

<h2></h2>
<table id="table_id" class="display">
    <thead class="alert-success">
        <tr>
            <th>ID</th>
            <th>Subject</th>
            <th>ReceivedOn</th>
            <th>Sender</th>
            <th>Status</th>
            <th>Attachment</th>
            <th>Details</th>
        </tr>
    </thead>
</table>

<!-- Modal -->
<div class="modal fade" id="myModalNorm" tabindex="-1" role="dialog"
     aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <!-- Modal Body -->
            <div class="modal-body"></div>
            <div class="modal-footer"></div>
        </div>
    </div>
</div>


@section Scripts

    {
    <link rel="stylesheet" type="text/css" href="~/lib/DataTables/datatables.css">
    <script type="text/javascript" language="javascript" src="~/lib/DataTables/datatables.js"></script>
    <script src="~/js/site.js"></script>
    <script type="text/javascript" class="init">

        var table = $('#table_id').DataTable({
            "ordering": false,
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": "@Url.Action("ListAllEmails", "Email")",
                "type": 'POST',
                "dataType": "JSON",
            },

            "columns": [
                { "data": "Id" },
                { "data": "Subject" },
                { "data": "ReceivedOn"},
                { "data": "MerchantEmail" },
                { "data": "EmailStatusType" },
                { "data" : "EmailAttachmentsCount",
                    "render": function (data, type, row) {

                        if (row.EmailAttachmentsCount > 0) {
                            return '<img src="/images/paperclip-vector-paper-clamp-3.png" style="width:40px" />';
                        } else {
                            return 'no attachments'
                        }
                    }
                },
                {
                    "render": function (data, type, email, meta) {
                        return '<button class="details" data-toggle="modal" data-target="#myModalNorm" data-emailid="' + email.Id + '">See more</button>';
                   }
                }
            ]
        });

        $('#myModalNorm').on('shown.bs.modal', function (e) {
            console.log(e);
            var $modal = $(this);
            $body = $modal.find(".modal-body");
            var emailId = $(e.relatedTarget).data('emailid');
            var url = "/Email/Details/" + emailId;
            $.get(url)
                .done(function (responseData) {
                    $body.html(responseData);
                    $('#NotReviewed').data('emailId', emailId);
                    $('#NotValid').data('emailId', emailId);
                    $('#New').data('emailId', emailId);
                    $('#Open').data('emailId', emailId);
                    $('#Closed').data('emailId', emailId);
                })
        })

    </script>
}




